Bug 2248896 - Review Request: rust-fs-set-times - Set filesystem timestamps
Summary: Review Request: rust-fs-set-times - Set filesystem timestamps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/fs-set-times
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-09 15:55 UTC by Fabio Valentini
Modified: 2023-11-23 14:04 UTC (History)
2 users (show)

Fixed In Version: rust-fs-set-times-0.20.0-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-23 14:04:55 UTC
Type: ---
Embargoed:
code: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2023-11-09 15:55:10 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-fs-set-times.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-fs-set-times-0.20.0-1.fc39.src.rpm

Description:
Set filesystem timestamps.

Fedora Account System Username: decathorpe

Comment 1 Fabio Valentini 2023-11-09 15:55:13 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=108806518

Comment 2 Fabio Valentini 2023-11-09 15:56:15 UTC
Note: This is an unretirement request.

Comment 3 Fedora Review Service 2023-11-09 15:59:10 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6616408
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2248896-rust-fs-set-times/fedora-rawhide-x86_64/06616408-rust-fs-set-times/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Ben Beasley 2023-11-22 23:27:05 UTC
This is a very straightforward package. The spec file and patch are exactly as generated by rust2rpm, simplifying the review. No issues were found; the package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======

- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/cargo/registry/fs-set-
  times-0.20.0/CODE_OF_CONDUCT.md
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files

  This is due to rust2rpm listing the entire %{crate_instdir}/ and then
  separately listing some of its contents as %doc. The duplication appears to
  be harmless; if it is a problem, then it should be fixed in rust2rpm.

- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/rust-fs-set-times
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names

  OK: the review request is for unretirement.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "*No copyright* MIT License". 11 files have unknown license. Detailed
     output of licensecheck in /home/ben/Downloads/review/2248896-rust-fs-
     set-times/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-fs-
     set-times-devel , rust-fs-set-times+default-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     (but note that the crate does not currently include any tests)

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-fs-set-times-devel-0.20.0-1.fc40.noarch.rpm
          rust-fs-set-times+default-devel-0.20.0-1.fc40.noarch.rpm
          rust-fs-set-times-0.20.0-1.fc40.src.rpm
========================================== rpmlint session starts ==========================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp1oib0ypl')]
checks: 31, packages: 3

rust-fs-set-times+default-devel.noarch: W: no-documentation
=========== 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.2 s ===========




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

rust-fs-set-times+default-devel.noarch: W: no-documentation
 2 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://crates.io/api/v1/crates/fs-set-times/0.20.0/download#/fs-set-times-0.20.0.crate :
  CHECKSUM(SHA256) this package     : dd738b84894214045e8414eaded76359b4a5773f0a0a56b16575110739cdcf39
  CHECKSUM(SHA256) upstream package : dd738b84894214045e8414eaded76359b4a5773f0a0a56b16575110739cdcf39


Requires
--------
rust-fs-set-times-devel (rpmlib, GLIBC filtered):
    (crate(io-lifetimes) >= 2.0.0 with crate(io-lifetimes) < 3.0.0~)
    (crate(rustix/default) >= 0.38.0 with crate(rustix/default) < 0.39.0~)
    (crate(rustix/fs) >= 0.38.0 with crate(rustix/fs) < 0.39.0~)
    (crate(rustix/time) >= 0.38.0 with crate(rustix/time) < 0.39.0~)
    cargo

rust-fs-set-times+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(fs-set-times)



Provides
--------
rust-fs-set-times-devel:
    crate(fs-set-times)
    rust-fs-set-times-devel

rust-fs-set-times+default-devel:
    crate(fs-set-times/default)
    rust-fs-set-times+default-devel



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2248896
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: R, Perl, Python, Java, Ocaml, SugarActivity, fonts, C/C++, PHP, Haskell
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 5 Fabio Valentini 2023-11-22 23:39:43 UTC
Thank you for the review!
https://pagure.io/releng/issue/11799

Comment 6 Fabio Valentini 2023-11-23 14:04:55 UTC
Imported and built:
https://bodhi.fedoraproject.org/updates/FEDORA-2023-a6479a6f48


Note You need to log in before you can comment on or make changes to this bug.